<Unified_Provisioning version="1.0">
  <ApplicationMetadata>
    <Name>Positioning</Name>
    <AppId>ap0004</AppId>
    <TextLabel>DEVICE_MGMT_CP_SUPL_TXT</TextLabel>
    <RegistryPath>/apps/positioning/supl-settings</RegistryPath>
    <AccountKey>N/A</AccountKey>
    <MaxAccounts>1</MaxAccounts>
    <AccountValidatorCID>439c7f6c-43a9-4e9b-8b73-296cebbc6022</AccountValidatorCID>
  </ApplicationMetadata>

  <RequiredRegValues>
    <Value>
      <!-- Actually, this is the only value we care about at all currently -->
      <RegistryValuePath>/apps/positioning/supl-settings/Addr</RegistryValuePath>
      <RegistryValueType>WString</RegistryValueType>
      <DefaultValue>N/A</DefaultValue>
    </Value>
  </RequiredRegValues>

  <DMTree>
    <PosAcc type="node">
      <X type="placeholder" occurrence="1/1">
        <AppId type="leaf" occurrence="1/1">
          <SettingID>0</SettingID>
          <Description>This node specifies the application ID for the Positioning Server account management object.</Description>
          <RegistryValuePath>N/A</RegistryValuePath>
          <RegistryValueType>N/A</RegistryValueType>
          <PossibleValue>N/A</PossibleValue>
          <AccessType>Get</AccessType>
          <CPTag>APPLICATION/APPID</CPTag>
          <DefaultValue>ap0004</DefaultValue>
        </AppId>

        <ProviderId type="leaf" occurrence="0/1">
          <SettingsID>1</SettingsID>
          <Description>The ProviderId leaf provides an identifier for the H-SLP.</Description>
          <RegistryValuePath>/apps/positioning/supl-settings/ProviderID</RegistryValuePath>
          <RegistryValueType>WString</RegistryValueType>
          <PossibleValue>N/A</PossibleValue>
          <AccessType>Add</AccessType>
          <AccessType>Get</AccessType>
          <AccessType>Replace</AccessType>
          <CPTag>APPLICATION/PROVIDER-ID</CPTag>
          <DefaultValue>N/A</DefaultValue>
        </ProviderId>

        <Name type="leaf" occurrence="0/1">
          <SettingsID>2</SettingsID>
          <Description>The Name leaf indicates a logical, user readable identity (property) of the H-SLP.</Description>
          <RegistryValuePath>/apps/positioning/supl-settings/Name</RegistryValuePath>
          <RegistryValueType>WString</RegistryValueType>
          <PossibleValue>N/A</PossibleValue>
          <AccessType>Add</AccessType>
          <AccessType>Get</AccessType>
          <AccessType>Replace</AccessType>
          <CPTag>APPLICATION/NAME</CPTag>
          <DefaultValue>N/A</DefaultValue>
        </Name>

        <PrefConRef type="leaf" occurrence="0/1">
          <SettingsID>3</SettingsID>
          <Description>The PrefConRef leaf indicates the preferred linkage to connectivity parameters (proxy or access point).</Description>
          <RegistryValuePath>/apps/positioning/supl-settings/PrefConRef</RegistryValuePath>
          <RegistryValueType>WString</RegistryValueType>
          <PossibleValue>N/A</PossibleValue>
          <AccessType>Add</AccessType>
          <AccessType>Get</AccessType>
          <AccessType>Replace</AccessType>
          <AccessType>Delete</AccessType>
          <CPTag>APPLICATION/TO-PROXY</CPTag>
          <CPTag>APPLICATION/TO-NAPID</CPTag>
          <DefaultValue>N/A</DefaultValue>
        </PrefConRef>

        <!--
        <ToConRef type="node" occurrence="0/1">
          <X type="placeholder" occurrence="0/10">
            <ConRef type="leaf" occurrence="1/1">
              <SettingsID>4</SettingsID>
              <Description>The ConRef leaf indicates the linkage to connectivity parameters.</Description>
              <RegistryValuePath>/apps/positioning/supl-settings/ToConRef/ConRef</RegistryValuePath>
              <RegistryValueType>WString</RegistryValueType>
              <PossibleValue>N/A</PossibleValue>
              <AccessType>Add</AccessType>
              <AccessType>Get</AccessType>
              <AccessType>Replace</AccessType>
              <AccessType>Delete</AccessType>
              <CPTag>APPLICATION/TO-PROXY</CPTag>
              <CPTag>APPLICATION/TO-NAPID</CPTag>
              <DefaultValue>N/A</DefaultValue>
            </ConRef>
          </X>
        </ToConRef>
        -->

        <Addr type="leaf" occurrence="1/1">
          <SettingsID>5</SettingsID>
          <Description>The Addr leaf holds the address of the H-SLP.</Description>
          <RegistryValuePath>/apps/positioning/supl-settings/Addr</RegistryValuePath>
          <RegistryValueType>WString</RegistryValueType>
          <PossibleValue>N/A</PossibleValue>
          <AccessType>Add</AccessType>
          <AccessType>Get</AccessType>
          <AccessType>Replace</AccessType>
          <CPTag>APPLICATION/ADDR</CPTag>
          <CPTag>APPLICATION/APPADDR/ADDR</CPTag>
          <DefaultValue>N/A</DefaultValue>
        </Addr>

        <AddrType type="leaf" occurrence="0/1">
          <SettingsID>6</SettingsID>
          <Description>The AddrType leaf indicates the format of the Addr parameter.</Description>
          <RegistryValuePath>/apps/positioning/supl-settings/AddrType</RegistryValuePath>
          <RegistryValueType>WString</RegistryValueType>
          <PossibleValue>N/A</PossibleValue>
          <AccessType>Add</AccessType>
          <AccessType>Get</AccessType>
          <AccessType>Replace</AccessType>
          <AccessType>Delete</AccessType>
          <CPTag>N/A</CPTag>
          <DefaultValue>N/A</DefaultValue>
        </AddrType>

        <!--
          <Ext type="node" occurrence="1/1">
          </Ext>
        -->

      </X>
    </PosAcc>
  </DMTree>
</Unified_Provisioning>

